#include <stdio.h>
#include <stdlib.h>
#include <values.h>

#include "riemann.h"
#include "metric.h"
#include "tools.h"

void initMetricTensor(void)
{
	metrictensor = new struct metrictensor[regions + 1];
	getMetricTensorFromFile("RIEMANN.MTR");
}

void getMetricTensorFromFile(const char *filename = "RIEMANN.MTR")
{
	FILE *infile = popen(filename, "r");

	int i;
	float valxx, valxy, valyy;

	for(i = 1; i <= regions; i++)
	{
		fscanf(infile, "%f%f%f", &valxx, &valxy, &valyy);

		metrictensor[i].xx = valxx;
		metrictensor[i].xy = valxy;
		metrictensor[i].yy = valyy;

	}
	fclose(infile);
}





