#include <stdio.h>
#include <stdlib.h>
#include <values.h>

#include "riemann.h"
#include "grid.h"
#include "tools.h"

void initGrid(void)
{
	getGridFromFile("RIEMANN.MPP");

}

void getGridFromFile(const	char *filename = "RIEMANN.MPP")
{
	FILE *infile = popen(filename, "r");

	fscanf(infile, "%d", &regions);
	fscanf(infile, "%d", &nmax);

	index ch;
	index i;
	index nsqr = nmax*nmax + 1;
	grd = new struct grid[nsqr];

	for(i = 1; i <= nsqr; i++)
	{
		fscanf(infile,"%d", &ch);
		grd[i].metric = ch;
		grd[i].pathmark = 0;
		grd[i].pathlength = MAXFLOAT;
		grd[i].parent = start;
		grd[i].repr = i; // inizialmente tutti i nodi hanno un rappresentante i a

	}
	fclose(infile);
}


void RecastGrid()
// aggiusta i parametri dopo l'assegnazione di start e goal
{
	grd[start].pathlength = 0;

}

